Package commoble.morered

# Class BlockAndBlockItem<B extends net.minecraft.world.level.block.Block,I extends net.minecraft.world.item.BlockItem>

java.lang.Object
commoble.morered.BlockAndBlockItem<B,I>

public class BlockAndBlockItem<B extends net.minecraft.world.level.block.Block,I extends net.minecraft.world.item.BlockItem> extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final Supplier<? extends B>`
`blockGetter`
`final Supplier<? extends I>`
`itemGetter`

## Constructor Summary

Constructors
Constructor
Description
`BlockAndBlockItem(Supplier<? extends B> blockGetter, Supplier<? extends I> itemGetter)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### blockGetter

public final Supplier<? extends B extends net.minecraft.world.level.block.Block> blockGetter

### itemGetter

public final Supplier<? extends I extends net.minecraft.world.item.BlockItem> itemGetter

## Constructor Details

### BlockAndBlockItem

public BlockAndBlockItem(Supplier<? extends B> blockGetter, Supplier<? extends I> itemGetter)